<?php
class alerte_intrusion extends hook
{
	public $hookName = "alerte_intrusion";
	public $active = true;

	protected $devicelist = array(
		ENTREE_PORTE => array("contact", false),
		GARAGE_PORTE => array("contact", false),
		RDC_CHAMBRE_BAIE => array("contact", false),
		RDC_SALON_BAIE => array("contact", false));

	public $delay = 3;				// amount of time in $timeunit
	public $delayManual = 10;		// amount of time in $timeunit for manual mode
	public $timeUnit = "minute";	// unit of time for delay, second, minute, day, week, month, year

	// callback fonction. Is called with these 4 parameters
	public function callBack(&$device, $param, $value)
	{
		global $devices, $indexDevices;
		switch($param)
		{
			case "contact":
				if ($value == false)
				{
					logger(ALERT, sprintf(_("%s est ouverte alors que personne n'est présent"), $device->friendlyName), __FILE__ . ":" . __LINE__);
				}
				break;
		}
	}
}

$hooks["alerte_intrusion"] = new alerte_intrusion();

?>
